diff -ruN smw/_src/MapList.cpp smw-zaurus/_src/MapList.cpp
--- smw/_src/MapList.cpp	2005-11-08 16:47:20.000000000 -0300
+++ smw-zaurus/_src/MapList.cpp	2006-04-21 16:14:03.000000000 -0300
@@ -93,7 +93,7 @@
 
 		for(int k = 0; k < count - 1; k++)
 		{
-			if(stricmp(leftnode->key, rightnode->key) > 0)
+			if(strcasecmp(leftnode->key, rightnode->key) > 0)
 			{
 				fDone = false;
 
diff -ruN smw/_src/global.h smw-zaurus/_src/global.h
--- smw/_src/global.h	2005-11-04 14:47:28.000000000 -0300
+++ smw-zaurus/_src/global.h	2006-04-21 16:14:02.000000000 -0300
@@ -203,7 +203,7 @@
 extern sfxSound			chicken;
 extern sfxSound			transform;
 extern sfxSound			yoshi;
-extern sfxSound			pause;
+extern sfxSound			Spause;
 extern sfxSound			bobombsound;
 extern sfxSound			areatag;
 extern sfxSound			cannon;
diff -ruN smw/_src/main.cpp smw-zaurus/_src/main.cpp
--- smw/_src/main.cpp	2005-11-07 20:19:01.000000000 -0300
+++ smw-zaurus/_src/main.cpp	2006-04-21 16:49:12.000000000 -0300
@@ -33,7 +33,7 @@
 
 #include "global.h"				//all the global stuff
 #include <time.h>
-
+#include <unistd.h>
 //now it's really time for an "engine" (aka resource manager)
 #ifdef _WIN32
 	#ifndef _XBOX
@@ -171,7 +171,7 @@
 int				respawn[4] = {0, 0, 0, 0};
 
 int				projectiles[4];
-int				controlkeys[4][6] = { {SDLK_LEFT, SDLK_RIGHT, SDLK_UP, SDLK_DOWN, SDLK_RCTRL, SDLK_RSHIFT},
+int				controlkeys[4][6] = { {SDLK_LEFT, SDLK_RIGHT, SDLK_UP, SDLK_DOWN, SDLK_LCTRL, SDLK_LSHIFT},
 									  {SDLK_a, SDLK_d, SDLK_w, SDLK_s, SDLK_e, SDLK_q},
 									  {SDLK_g, SDLK_j, SDLK_y, SDLK_h, SDLK_u, SDLK_t},
 									  {SDLK_l, SDLK_QUOTE, SDLK_p, SDLK_SEMICOLON, SDLK_LEFTBRACKET, SDLK_o}};
@@ -229,7 +229,7 @@
 sfxSound chicken;
 sfxSound transform;
 sfxSound yoshi;
-sfxSound pause;
+sfxSound Spause;
 sfxSound bobombsound;
 sfxSound areatag;
 sfxSound cannon;
@@ -1108,7 +1108,7 @@
 #endif
 				case SDL_KEYDOWN:
 #ifndef _XBOX
-					if(event.key.keysym.sym == SDLK_F4 && (keystates[SDLK_LALT] || keystates[SDLK_RALT]))
+					if(event.key.keysym.sym == SDLK_4 && (keystates[SDLK_LALT] || keystates[SDLK_RALT]))
 					{
 						cleanup();
 						game_values.gamestate = GS_QUIT;
@@ -1142,16 +1142,16 @@
 							}
 						}
 					}
-					else if(event.key.keysym.sym == SDLK_F1)
+					else if(event.key.keysym.sym == SDLK_1 && (keystates[SDLK_LALT] || keystates[SDLK_RALT]))
 					{
 						game_values.showfps = !game_values.showfps;
 					}
 #ifdef _DEBUG
-					else if(event.key.keysym.sym == SDLK_F2)
+					else if(event.key.keysym.sym == SDLK_2 && (keystates[SDLK_LALT] || keystates[SDLK_RALT]))
 					{
 						game_values.frameadvance = !game_values.frameadvance;
 					}
-					else if(event.key.keysym.sym == SDLK_F12)
+					else if(event.key.keysym.sym == SDLK_3 && (keystates[SDLK_LALT] || keystates[SDLK_RALT]))
 					{
 						for(int k = 0; k < list_players_cnt; k++)
 						{
@@ -1224,7 +1224,7 @@
 
 								ifsoundonpause(invinciblemusic);
 								ifsoundonpause(slowdownmusic);
-								ifsoundonplay(pause);
+								ifsoundonplay(Spause);
 							}
 
 							if(game_values.exitinggame)
@@ -1897,7 +1897,7 @@
 
 		//Fine tune wait here
 		while(SDL_GetTicks() - framestart < WAITTIME)
-			Sleep(0);   //keep framerate constant at 1000/WAITTIME fps
+			sleep(0);   //keep framerate constant at 1000/WAITTIME fps
 
 #ifdef _DEBUG
 		if(game_values.frameadvance)
diff -ruN smw/_src/menu.cpp smw-zaurus/_src/menu.cpp
--- smw/_src/menu.cpp	2005-11-04 20:04:04.000000000 -0300
+++ smw-zaurus/_src/menu.cpp	2006-04-21 16:14:01.000000000 -0300
@@ -12,6 +12,8 @@
 	#endif
 #endif
 
+#include <unistd.h>
+
 extern void _load_waitforkey();
 extern bool __load_gfxck(gfxSprite &g, const char *f);
 extern bool __load_gfx(gfxSprite &g, const char *f);
@@ -415,39 +417,39 @@
 bool loadmap()
 {
 	map.loadMap(maplist.current_name());
-	Sleep(5);  //Sleeps to help the music from skipping
+	sleep(5);  //Sleeps to help the music from skipping
 	
 	char filename[128];
 	sprintf(filename, "gfx/backgrounds/bg%d.bmp", map.backgroundID);
 	_load_gfx(spr_background, convertPath(filename));
-	Sleep(5);
+	sleep(5);
 	
 	map.predrawbackground(spr_background, spr_backmap);
-	Sleep(5);
+	sleep(5);
 	map.predrawforeground(spr_frontmap);
-	Sleep(5);
+	sleep(5);
 
 	loadInteractionMapObjects();
-	Sleep(5);
+	sleep(5);
 
 	blitdest = menu_backdrop.getSurface();
 	spr_backmap.draw(0, 0);
-	Sleep(5);
+	sleep(5);
 	interactionobjectblocks.draw();
-	Sleep(5);
+	sleep(5);
 
 #ifdef _XBOX
 	map.drawfrontlayer();
-	Sleep(5);
+	sleep(5);
 #else
 	if(game_values.toplayer)
 	{
 		map.drawfrontlayer();
-		Sleep(5);
+		sleep(5);
 	}
 #endif
 	menu_shade.draw(0, 0);
-	Sleep(5);
+	sleep(5);
 	blitdest = screen;
 
 	return false;
diff -ruN smw/_src/splash.cpp smw-zaurus/_src/splash.cpp
--- smw/_src/splash.cpp	2005-11-09 01:51:00.000000000 -0300
+++ smw-zaurus/_src/splash.cpp	2006-04-21 16:14:02.000000000 -0300
@@ -11,6 +11,7 @@
 
 #include "global.h"
 #include "time.h"
+#include <unistd.h>
 
 extern void loadInteractionMapObjects();
 extern char *convertPath(char *source);
@@ -602,7 +603,7 @@
 			_load_sfx(chicken, convertPath("sfx/chicken.wav"));
 			_load_sfx(transform, convertPath("sfx/transform.wav"));
 			_load_sfx(yoshi, convertPath("sfx/yoshi.wav"));
-			_load_sfx(pause, convertPath("sfx/pause.wav"));
+			_load_sfx(Spause, convertPath("sfx/pause.wav"));
 			_load_sfx(bobombsound, convertPath("sfx/bob-omb.wav"));
 			_load_sfx(areatag, convertPath("sfx/area_tag.wav"));
 			_load_sfx(cannon, convertPath("sfx/cannon.wav"));
@@ -653,7 +654,7 @@
 
 		//Fine tune wait here
 		while(SDL_GetTicks() - framestart < WAITTIME)
-			Sleep(0);   //keep framerate constant at 1000/WAITTIME fps
+			sleep(0);   //keep framerate constant at 1000/WAITTIME fps
 
 	}
 	
Files smw/build/MapList.o and smw-zaurus/build/MapList.o differ
Files smw/build/SFont.o and smw-zaurus/build/SFont.o differ
Files smw/build/eyecandy.o and smw-zaurus/build/eyecandy.o differ
Files smw/build/gamemodes.o and smw-zaurus/build/gamemodes.o differ
Files smw/build/gfx.o and smw-zaurus/build/gfx.o differ
Files smw/build/interactionobject.o and smw-zaurus/build/interactionobject.o differ
Files smw/build/leveleditor.o and smw-zaurus/build/leveleditor.o differ
Files smw/build/main.o and smw-zaurus/build/main.o differ
Files smw/build/map.o and smw-zaurus/build/map.o differ
Files smw/build/menu.o and smw-zaurus/build/menu.o differ
Files smw/build/player.o and smw-zaurus/build/player.o differ
Files smw/build/sfx.o and smw-zaurus/build/sfx.o differ
Files smw/build/splash.o and smw-zaurus/build/splash.o differ
diff -ruN smw/configuration smw-zaurus/configuration
--- smw/configuration	1969-12-31 21:00:00.000000000 -0300
+++ smw-zaurus/configuration	2006-04-21 16:15:29.000000000 -0300
@@ -0,0 +1,3 @@
+CFLAGS:=$(CFLAGS) -O2 -I/opt/native/arm/3.4.6-xscale-softvfp/armv5tel-cacko-linux/include/SDL -D_REENTRANT -Wall -I.
+LDFLAGS:=$(LDFLAGS) -L/opt/native/arm/3.4.6-xscale-softvfp/armv5tel-cacko-linux/lib -Wl,-rpath,/opt/native/arm/3.4.6-xscale-softvfp/armv5tel-cacko-linux/lib -lSDL -lpthread -lSDL_net -lSDL_image -lSDL_mixer
+USER=root
Files smw/ipkg_temp/usr/bin/smw and smw-zaurus/ipkg_temp/usr/bin/smw differ
Files smw/ipkg_temp/usr/bin/smw-slcxx00 and smw-zaurus/ipkg_temp/usr/bin/smw-slcxx00 differ
Files smw/leveledit and smw-zaurus/leveledit differ
Files smw/options.bin and smw-zaurus/options.bin differ
Files smw/smw and smw-zaurus/smw differ
Files smw/smw-slcxx00 and smw-zaurus/smw-slcxx00 differ
diff -ruN smw/smw_unix.patch smw-zaurus/smw_unix.patch
--- smw/smw_unix.patch	1969-12-31 21:00:00.000000000 -0300
+++ smw-zaurus/smw_unix.patch	2006-04-21 16:15:29.000000000 -0300
@@ -0,0 +1,155 @@
+diff -ruN smw/_src/MapList.cpp smw-unix/_src/MapList.cpp
+--- smw/_src/MapList.cpp	2005-11-08 16:47:20.000000000 -0300
++++ smw-unix/_src/MapList.cpp	2006-04-21 12:00:55.000000000 -0300
+@@ -93,7 +93,7 @@
+ 
+ 		for(int k = 0; k < count - 1; k++)
+ 		{
+-			if(stricmp(leftnode->key, rightnode->key) > 0)
++			if(strcasecmp(leftnode->key, rightnode->key) > 0)
+ 			{
+ 				fDone = false;
+ 
+diff -ruN smw/_src/global.h smw-unix/_src/global.h
+--- smw/_src/global.h	2005-11-04 14:47:28.000000000 -0300
++++ smw-unix/_src/global.h	2006-04-21 12:24:01.000000000 -0300
+@@ -203,7 +203,7 @@
+ extern sfxSound			chicken;
+ extern sfxSound			transform;
+ extern sfxSound			yoshi;
+-extern sfxSound			pause;
++extern sfxSound			Spause;
+ extern sfxSound			bobombsound;
+ extern sfxSound			areatag;
+ extern sfxSound			cannon;
+diff -ruN smw/_src/main.cpp smw-unix/_src/main.cpp
+--- smw/_src/main.cpp	2005-11-07 20:19:01.000000000 -0300
++++ smw-unix/_src/main.cpp	2006-04-21 12:25:13.000000000 -0300
+@@ -33,7 +33,7 @@
+ 
+ #include "global.h"				//all the global stuff
+ #include <time.h>
+-
++#include <unistd.h>
+ //now it's really time for an "engine" (aka resource manager)
+ #ifdef _WIN32
+ 	#ifndef _XBOX
+@@ -229,7 +229,7 @@
+ sfxSound chicken;
+ sfxSound transform;
+ sfxSound yoshi;
+-sfxSound pause;
++sfxSound Spause;
+ sfxSound bobombsound;
+ sfxSound areatag;
+ sfxSound cannon;
+@@ -1224,7 +1224,7 @@
+ 
+ 								ifsoundonpause(invinciblemusic);
+ 								ifsoundonpause(slowdownmusic);
+-								ifsoundonplay(pause);
++								ifsoundonplay(Spause);
+ 							}
+ 
+ 							if(game_values.exitinggame)
+@@ -1897,7 +1897,7 @@
+ 
+ 		//Fine tune wait here
+ 		while(SDL_GetTicks() - framestart < WAITTIME)
+-			Sleep(0);   //keep framerate constant at 1000/WAITTIME fps
++			sleep(0);   //keep framerate constant at 1000/WAITTIME fps
+ 
+ #ifdef _DEBUG
+ 		if(game_values.frameadvance)
+diff -ruN smw/_src/menu.cpp smw-unix/_src/menu.cpp
+--- smw/_src/menu.cpp	2005-11-04 20:04:04.000000000 -0300
++++ smw-unix/_src/menu.cpp	2006-04-21 12:27:54.000000000 -0300
+@@ -12,6 +12,8 @@
+ 	#endif
+ #endif
+ 
++#include <unistd.h>
++
+ extern void _load_waitforkey();
+ extern bool __load_gfxck(gfxSprite &g, const char *f);
+ extern bool __load_gfx(gfxSprite &g, const char *f);
+@@ -415,39 +417,39 @@
+ bool loadmap()
+ {
+ 	map.loadMap(maplist.current_name());
+-	Sleep(5);  //Sleeps to help the music from skipping
++	sleep(5);  //Sleeps to help the music from skipping
+ 	
+ 	char filename[128];
+ 	sprintf(filename, "gfx/backgrounds/bg%d.bmp", map.backgroundID);
+ 	_load_gfx(spr_background, convertPath(filename));
+-	Sleep(5);
++	sleep(5);
+ 	
+ 	map.predrawbackground(spr_background, spr_backmap);
+-	Sleep(5);
++	sleep(5);
+ 	map.predrawforeground(spr_frontmap);
+-	Sleep(5);
++	sleep(5);
+ 
+ 	loadInteractionMapObjects();
+-	Sleep(5);
++	sleep(5);
+ 
+ 	blitdest = menu_backdrop.getSurface();
+ 	spr_backmap.draw(0, 0);
+-	Sleep(5);
++	sleep(5);
+ 	interactionobjectblocks.draw();
+-	Sleep(5);
++	sleep(5);
+ 
+ #ifdef _XBOX
+ 	map.drawfrontlayer();
+-	Sleep(5);
++	sleep(5);
+ #else
+ 	if(game_values.toplayer)
+ 	{
+ 		map.drawfrontlayer();
+-		Sleep(5);
++		sleep(5);
+ 	}
+ #endif
+ 	menu_shade.draw(0, 0);
+-	Sleep(5);
++	sleep(5);
+ 	blitdest = screen;
+ 
+ 	return false;
+diff -ruN smw/_src/splash.cpp smw-unix/_src/splash.cpp
+--- smw/_src/splash.cpp	2005-11-09 01:51:00.000000000 -0300
++++ smw-unix/_src/splash.cpp	2006-04-21 12:29:19.000000000 -0300
+@@ -11,6 +11,7 @@
+ 
+ #include "global.h"
+ #include "time.h"
++#include <unistd.h>
+ 
+ extern void loadInteractionMapObjects();
+ extern char *convertPath(char *source);
+@@ -602,7 +603,7 @@
+ 			_load_sfx(chicken, convertPath("sfx/chicken.wav"));
+ 			_load_sfx(transform, convertPath("sfx/transform.wav"));
+ 			_load_sfx(yoshi, convertPath("sfx/yoshi.wav"));
+-			_load_sfx(pause, convertPath("sfx/pause.wav"));
++			_load_sfx(Spause, convertPath("sfx/pause.wav"));
+ 			_load_sfx(bobombsound, convertPath("sfx/bob-omb.wav"));
+ 			_load_sfx(areatag, convertPath("sfx/area_tag.wav"));
+ 			_load_sfx(cannon, convertPath("sfx/cannon.wav"));
+@@ -653,7 +654,7 @@
+ 
+ 		//Fine tune wait here
+ 		while(SDL_GetTicks() - framestart < WAITTIME)
+-			Sleep(0);   //keep framerate constant at 1000/WAITTIME fps
++			sleep(0);   //keep framerate constant at 1000/WAITTIME fps
+ 
+ 	}
+ 	
+Files smw/options.bin and smw-unix/options.bin differ
